Summary: Network monitoring tools for tracking IP addresses on a network.
Name: arpwatch
Version: 2.1a11
Release: 2tr
License: BSD
Group: Network/Monitoring
Source0: ftp://ftp.ee.lbl.gov/arpwatch-%{version}.tar.gz
Source1: arpwatch.init
BuildRoot: /var/tmp/arpwatch-root

%description
The arpwatch package contains arpwatch and arpsnmp.  Arpwatch and
arpsnmp are both network monitoring tools.  Both utilities monitor
Ethernet or FDDI network traffic and build databases of Ethernet/IP
address pairs, and can report certain changes via email.

Install the arpwatch package if you need networking monitoring devices
which will automatically keep track of the IP addresses on your
network.

%prep
%setup -q

%build
%configure
CFLAGS="$RPM_OPT_FLAGS -I/usr/include/pcap" ./configure --prefix=/usr --mandir=/usr/share/man

make


%install
mkdir -p $RPM_BUILD_ROOT/var/arpwatch
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man8
make install install-man DESTDIR=$RPM_BUILD_ROOT MANDEST=/usr/share/man

for n in arp2ethers massagevendor; do
        install -m755 $n $RPM_BUILD_ROOT/var/arpwatch
done
for n in *.awk *.dat; do
        install -m644 $n $RPM_BUILD_ROOT/var/arpwatch
done

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -c -m755 $RPM_SOURCE_DIR/arpwatch.init $RPM_BUILD_ROOT/etc/rc.d/init.d/arpwatch

strip $RPM_BUILD_ROOT%{_prefix}/sbin/*

%clean
rm -fr $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc CHANGES README
%{_prefix}/sbin/arpwatch
%{_prefix}/sbin/arpsnmp
%{_prefix}/share/man/man8/arpwatch.8*
%{_prefix}/share/man/man8/arpsnmp.8*
/etc/rc.d/init.d/arpwatch
%dir    /var/arpwatch
%config /var/arpwatch/arp.dat
%config /var/arpwatch/ethercodes.dat
/var/arpwatch/*.awk
/var/arpwatch/arp2ethers
/var/arpwatch/massagevendor


%changelog
* Thu Dec 12 2002 Erlend Midttun <erlendbm@trustix.com>
- Rebuilt with new libpcap.

* Fri Jun  1 2001 Oystein Viggen <oysteivi@trustix.com>
- New upstream version: 2.1a11

* Thu Mar  8 2001 Alexander Reelsen <ar@trustix.com>
- Splitted arpwatch from tcpdump package
